package org.xyzh.common.core.page;

import org.xyzh.common.core.page.PageParam;

/**
 * @description 分页查询请求
 * @filename PageRequest.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-20
 */
public class PageRequest<T> {
    
    /**
     * 过滤条件
     */
    private T filter;
    
    /**
     * 分页参数
     */
    private PageParam pageParam;

    public T getFilter() {
        return filter;
    }

    public void setFilter(T filter) {
        this.filter = filter;
    }

    public PageParam getPageParam() {
        return pageParam;
    }

    public void setPageParam(PageParam pageParam) {
        this.pageParam = pageParam;
    }
}

